Bug 104587 - Exporting a DRAW file as a PDF isn't reflecting what I've drawn.
Summary: Exporting a DRAW file as a PDF isn't reflecting what I've drawn.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pdf
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2016-12-11 18:54 UTC by Leigh Bowden
Modified: 2020-12-10 03:47 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
This is the pdf file mentioned. The odg is slightly too large. 11mb (deleted)
2016-12-11 18:58 UTC, Leigh Bowden
Details
This is an example export. (521.04 KB, application/pdf)
2016-12-14 17:30 UTC, Leigh Bowden
Details
This is the odg that created it. (95.08 KB, application/vnd.oasis.opendocument.graphics)
2016-12-14 17:31 UTC, Leigh Bowden
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Leigh Bowden 2016-12-11 18:54:32 UTC
Description:
This is my CV/resume so I'd like it kept confidential please. The small circles on the first page have a slight white-ish "shadows". These circle objects are part of LibreOffice clip art library. These objects in the pick list don't appear to have these shadows at all and wouldn't show if the background was left white. 

In my instance I have a pale blue background and the shadow is slightly noticeable within draw but it's not overly intrusive. 

The problem comes when I export the odg to a pdf either using the built-in exporter or the Microsoft PDF "printer". The output has over emphasized the above shadows to being highly intrusive to the extent some of the text in them becomes difficult to read.

Steps to Reproduce:
1.Load odg file.
2.Export as pdf.
3.

Actual Results:  
As above really. If there's an option within the pdf export that could tone this down abit.

Expected Results:
I was expecting the pdf output to match what I'm seeing within draw. WYSIWYG it aint!


Reproducible: Always

User Profile Reset: No. This is pretty much a clean install.

Additional Info:
This happens on 5.1.5.2 on a two different systems one is Windows 7.1 Starter and the other is Windows 10. The odg is the same as it resides on my server.


User-Agent: Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/54.0.2840.99 Safari/537.36
Comment 1 Leigh Bowden 2016-12-11 18:58:15 UTC Comment hidden (obsolete)
Comment 2 Buovjaga 2016-12-14 13:11:58 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2016-12-14 13:13:57 UTC
Leigh: please create a minimal example ODG, which shows the problem, no confidential information and is under 10MB.

Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided the document.
Comment 4 Leigh Bowden 2016-12-14 17:30:10 UTC
Created attachment 129643 [details]
This is an example export.

This is an example of an exported pdf.
Comment 5 Leigh Bowden 2016-12-14 17:31:50 UTC
Created attachment 129644 [details]
This is the odg that created it.
Comment 6 Xisco Faulí 2016-12-15 09:59:36 UTC
Confirmed in

- Version: 5.4.0.0.alpha0+
Build ID: 634589b340316ba64b731b4d923c1056be415494
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

- Version: 4.4.0.0.alpha0+
Build ID: c0a709e9912de8adb6777b40197accf865c4f046

and the result is slightly different and still wrong in

- Version: 4.2.0.0.alpha1+
Build ID: fc8f44e82de4ebdd50ac5fbb9207cd1a59a927e3
Comment 7 QA Administrators 2017-12-16 03:30:16 UTC Comment hidden (obsolete)
Comment 8 Roman Kuznetsov 2018-12-10 07:50:50 UTC
still repro in

Версия: 6.2.0.0.beta1
ID сборки: d1b41307be3f8c19fe6f1938cf056e7ff1eb1d18
Потоков ЦП: 4; ОС:Windows 6.1; Отрисовка ИП: по умолчанию; VCL: win; 
Локаль: ru-RU (ru_RU); UI-Language: ru-RU
Calc: threaded
Comment 9 QA Administrators 2020-12-10 03:47:32 UTC
Dear Leigh Bowden,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug